/*---------------------------------------------------------------*/
/* arduino stepper motor shield  2 axis                  Ver1.00 */
/*---------------------------------------------------------------*/
#define MOTOR1_CLK      5  // D5
#define MOTOR1_RESET    3  // D3
#define MOTOR1_ENABLE   4  // D4
#define MOTOR1_CWCCW   19  // A5
#define MOTOR1_TQ1      6  // D6
#define MOTOR1_TQ2      7  // D7

#define MOTOR2_CLK     10  // D10
#define MOTOR2_RESET    8  // D8
#define MOTOR2_ENABLE   9  // D9
#define MOTOR2_CWCCW    2  // D2
#define MOTOR2_TQ1     11  // D11
#define MOTOR2_TQ2     12  // D12

#define CCW           HIGH
#define CW            LOW

void tb6560_stop()
{
  digitalWrite( MOTOR1_RESET,  LOW );
  digitalWrite( MOTOR1_ENABLE, LOW );

  digitalWrite( MOTOR2_RESET,  LOW );
  digitalWrite( MOTOR2_ENABLE, LOW );
}

void tb6560_start()
{
  digitalWrite( MOTOR1_RESET,  HIGH );
  digitalWrite( MOTOR1_ENABLE, HIGH );
  
  digitalWrite( MOTOR2_RESET,  HIGH );
  digitalWrite( MOTOR2_ENABLE, HIGH );
}

void setup()
{                
  pinMode(MOTOR1_CLK,    OUTPUT);
  pinMode(MOTOR1_RESET,  OUTPUT);
  pinMode(MOTOR1_ENABLE, OUTPUT);
  pinMode(MOTOR1_CWCCW,  OUTPUT);
  pinMode(MOTOR1_TQ1,    OUTPUT);
  pinMode(MOTOR1_TQ2,    OUTPUT);
  
  pinMode(MOTOR2_CLK,    OUTPUT);
  pinMode(MOTOR2_RESET,  OUTPUT);
  pinMode(MOTOR2_ENABLE, OUTPUT);
  pinMode(MOTOR2_CWCCW,  OUTPUT);
  pinMode(MOTOR2_TQ1,    OUTPUT);
  pinMode(MOTOR2_TQ2,    OUTPUT);
  
  digitalWrite(MOTOR1_TQ1, LOW ); // torque = 100%
  digitalWrite(MOTOR1_TQ2, LOW ); // torque = 100%

  digitalWrite(MOTOR2_TQ1, LOW ); // torque = 100%
  digitalWrite(MOTOR2_TQ2, LOW ); // torque = 100%
}

void loop()                     
{
  int i;

  tb6560_start();  // power on
  digitalWrite(MOTOR1_CWCCW, CW); 
  for( i = 0; i < 400 ; i++ ) {
    digitalWrite(MOTOR1_CLK, HIGH);
    delay(1);
    digitalWrite(MOTOR1_CLK, LOW );
    delay(4);
  }
  tb6560_stop();  // power off
  
  delay(1000); 
    
  tb6560_start();  // power on
  digitalWrite(MOTOR1_CWCCW, CCW); 
  for( i = 0; i < 400 ; i++ ) {
    digitalWrite(MOTOR1_CLK, HIGH);
    delay(1);
    digitalWrite(MOTOR1_CLK, LOW );
    delay(9);
  }
  tb6560_stop();  // power off

  delay(1000); 

  tb6560_start();  // power on
  digitalWrite(MOTOR2_CWCCW, CW); 
  for( i = 0; i < 400 ; i++ ) {
    digitalWrite(MOTOR2_CLK, HIGH);
    delay(1);
    digitalWrite(MOTOR2_CLK, LOW );
    delay(4);
  }
  tb6560_stop();  // power off
  
  delay(1000); 
    
  tb6560_start();  // power on
  digitalWrite(MOTOR2_CWCCW, CCW); 
  for( i = 0; i < 400 ; i++ ) {
    digitalWrite(MOTOR2_CLK, HIGH);
    delay(1);
    digitalWrite(MOTOR2_CLK, LOW );
    delay(9);
  }
  tb6560_stop();  // power off

  delay(1000); 
}
